package com.zd.laboratory.domain.dto;

import com.zd.common.core.annotation.Excel;
import com.zd.laboratory.domain.LabViolation;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * 违规记录DTO
 *
 * @Author: zhoupan
 * @Date: 2021/09/07/15:06
 * @Description:
 */
public class LabViolationDTO extends LabViolation {

    /**
     * 违规时间 -查询范围-开始
     */
    private Date startTime;

    /**
     * 违规时间 -查询范围-结束
     */
    private Date endTime;

    private Integer size;

    /**
     * 创建人（用于数据权限）
     */
    @ApiModelProperty(value = "创建人（用于数据权限）")
    @Excel(name = "创建人", readConverterExp = "用=于数据权限")
    private Long userId;

    @Excel(name = "学号")
    @ApiModelProperty(value = "学号")
    private String stuNo;

    /**
     * 部门id
     */
    @ApiModelProperty(value = "部门id")
    @Excel(name = "部门id")
    private Long deptId;

    /**
     * 部门名称
     */
    @ApiModelProperty(value = "部门名称")
    @Excel(name = "部门名称")
    private String deptName;



    public Integer getSize() {
        return size;
    }

    public void setSize(Integer size) {
        this.size = size;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }
}
